--- /usr/local/sbin/i2p-browser.old
+++ /usr/local/sbin/i2p-browser
@@ -98,9 +98,20 @@
     trap cleanup INT
     trap cleanup EXIT

+    local rootfs_dir
+    local rootfs_dir_path="/lib/live/mount/rootfs"
+    local tails_module_path="/lib/live/mount/medium/live/Tails.module"
+    local aufs_opts="noatime,noxino,dirs=${COW}=rw"
+
+    while read rootfs_dir; do
+        rootfs_dir="$rootfs_dir_path/$rootfs_dir"
+        mountpoint -q "$rootfs_dir" && \
+        aufs_opts="${aufs_opts}:${rootfs_dir}=rr+wh"
+    done < "$tails_module_path"
+
     mkdir -p ${COW} ${CHROOT} && \
     mount -t tmpfs tmpfs ${COW} && \
-    mount -t aufs -o noatime,noxino,dirs=${COW}=rw:${ROFS}=rr+wh aufs ${CHROOT} && \
+    mount -t aufs -o ${aufs_opts} aufs ${CHROOT} && \
     mount -t proc proc ${CHROOT}/proc && \
     mount --bind /dev ${CHROOT}/dev || \
     error "`gettext \"Failed to setup chroot.\"`"
